﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace XyDraw_NS
{
    public partial class About : Form
    {
        public About()
        {
            InitializeComponent();
            this.Text = XyDraw_NS.XyDraw.ProductNameAndVersion();
            g = Graphics.FromImage(this.BackgroundImage);
        }

        Color color = Color.White;
        Pen pen = Pens.White;
        Graphics g;
        PointF[] points = new PointF[50];

        private void GenPoints()
        {
            Random r = new Random();
            double a = r.NextDouble();
            double h = this.Height / 8f;
            float hBase = this.Height / 4f * 2;
            double aInc = 3.1415 * 3 / points.Length;
            double hScale = 1;

            for (int i = 0; i < points.Length; i++)
            {
                float x, y;
                x = (float)this.Width * i / points.Length;
                y = (float)(Math.Sin(a) * h + hBase * hScale);
                a += aInc;
                points[i] = new PointF(x, y);
            }
        }

        private void closeBtn_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(this.linkLabel.Text);
        }

        private void panel1_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(this.linkLabel.Text);
        }

        private int Clr(int clr)
        {
            return clr % 255;
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            GenPoints();
            g.DrawCurve(pen, points);
            g.Flush();
            this.Refresh();
            color = Color.FromArgb(Clr(color.R + 11), Clr(color.G + 3), Clr(color.B + 13));
            pen = new Pen(color);
        }


    }
}
